<?php
/*
 * Theme Name	: LazyProf
 * Theme Core Functions and Codes
 * @file           functions.php
 * @package        Lazyprof
 * @author         Priyanshu Mittal
 * @copyright      2014 Webriti
 * @license        license.txt
 * @filesource     wp-content/themes/Lazyprof/functions.php
*/
define('WEBRITI_TEMPLATE_DIR',get_template_directory());
define('WEBRITI_THEME_FUNCTIONS_PATH',WEBRITI_TEMPLATE_DIR.'/functions');
/**Includes reqired resources here**/

	//Files for custom - defaults menus
	require( WEBRITI_THEME_FUNCTIONS_PATH. '/menu/lazyprof_nav_walker.php' );
	require( WEBRITI_THEME_FUNCTIONS_PATH . '/menu/default_menu_walker.php' );	
	require_once( WEBRITI_THEME_FUNCTIONS_PATH .'/commentbox/comment-function.php');



//wp title tag starts here

function lazyprof_head( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Add the site name.
	$title .= get_bloginfo( 'name' );

	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "$title $sep " ;

	return $title;
}
add_filter( 'wp_title', 'lazyprof_head', 10, 2 );

//Scripts Enqueue here

function lazyprof_scripts(){

	if ( is_singular() ) wp_enqueue_script( "comment-reply" );
	
	wp_enqueue_script('bootstrap.min',get_template_directory_uri().'/js/menu/bootstrap.min.js',array('jquery')); //Responsive JS
	wp_enqueue_script('menu',get_template_directory_uri().'/js/menu/menu.js'); //Menu JS
	wp_enqueue_script('bootstrap',get_template_directory_uri().'/js/bootstrap.js'); //Responsive JS
	wp_enqueue_script('bootstrap-tab',get_template_directory_uri().'/js/bootstrap-tab.js'); 
	wp_enqueue_script('bootstrap-transition',get_template_directory_uri().'/js/bootstrap-transition.js');
	
	//CSS Links 	

	wp_enqueue_style('font', get_template_directory_uri().'/css/font/font.css');
	wp_enqueue_style('bootstrap', get_template_directory_uri().'/css/bootstrap.css');
	wp_enqueue_style('bootstrap-responsive', get_template_directory_uri().'/css/bootstrap-responsive.css');
}
add_action( 'wp_enqueue_scripts', 'lazyprof_scripts' );
	
// Theme Setup /default data starts here
/** Tell WordPress to run lazyprof_setup() when the 'after_setup_theme' hook is run. */
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 *
 * To override lazyprof_setup() in a child theme, add your own lazyprof_setup to your child theme's
 * functions.php file.
 *
 * @uses add_theme_support() To add support for post thumbnails and automatic feed links.
 * @uses register_nav_menus() To add support for navigation menus.
 * @uses add_custom_background() To add support for a custom background.
 * @uses add_editor_style() To style the visual editor.
 * @uses load_theme_textdomain() For translation/localization support.
 * @uses add_custom_image_header() To add support for a custom header.
 * @uses register_default_headers() To register the default custom header images provided with the theme.
 * @uses set_post_thumbnail_size() To set a custom post thumbnail size.
 *
 * @since lazyprof 0.1
 */
	global $lazyprof_resetno;
	add_action( 'after_setup_theme', 'lazyprof_setup' ); 
	function lazyprof_setup()
	{	
		//content width
		global $content_width;
		if ( ! isset( $content_width ) ) $content_width = 720;
	
		// Load text domain for translation-ready
		load_theme_textdomain( 'lazy_prof', get_template_directory() . '/functions/lang' );		
		add_theme_support( 'post-thumbnails' ); //supports featured image
		add_theme_support( 'automatic-feed-links' ); //feed links enabled
		do_action('lazyprof_init');//load admin pannal file	
		
		// setup admin pannel defual data for index page
		$lazyprof_theme_options=Theme_Setup_data(); 
		$current_theme_options = get_option('lazyprof_theme_options'); 						
		if($current_theme_options)
		{ 	
			$lazyprof_theme_options = array_merge($lazyprof_theme_options, $current_theme_options);
			update_option('lazyprof_theme_options',$lazyprof_theme_options);				
		}
		else
		{
			add_option('lazyprof_theme_options',$lazyprof_theme_options); 
		} 
		// This theme uses wp_nav_menu() in one location.
	register_nav_menu( 'primary', __( 'Primary Menu', 'lazy_prof' ) );
	
	
	$args = array(
	'flex-width'    => true,
	'width'         => 1600,
	'flex-height'    => true,
	'height'        => 400,
	'default-image' => get_template_directory_uri() . '/images/default/home_feature.jpg',
	);

	add_theme_support( 'custom-header', $args );
	
	
	}
	
	// load admin panal file
	add_action( 'lazyprof_init', 'lazyprof_load_files', 20 );
	function lazyprof_load_files()
	{	
		require_once('theme_setup_data.php');
		require_once('functions/theme_options/theme_options.php');	// admin options panel		
	}
	
	// admin restore options page
	add_action('lazyprof_restore_data', 'lazyprof_restore_data_function', $lazyprof_resetno );		
	function lazyprof_restore_data_function($lazyprof_resetno)
	{	
		$lazyprof_theme_options = Theme_Setup_data($lazyprof_resetno);
		update_option('lazyprof_theme_options',$lazyprof_theme_options);
		
	}	
		
add_action( 'widgets_init', 'lazyprof_widgets_init');
function lazyprof_widgets_init() {
/*sidebar*/
register_sidebar( array(
		'name' => __( ' Sidebar', 'lazy_prof' ),
		'id' => 'sidebar-primary',
		'description' => __( 'The primary widget area', 'lazy_prof' ),
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div><div class="sidebar_seprator"></div>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>',
	) );

register_sidebar( array(
		'name' => __( 'Footer Widget Area', 'lazy_prof' ),
		'id' => 'footer-widget-area',
		'description' => __( 'The first footer widget area', 'lazy_prof' ),
		'before_widget' => '<div class="span3">',
		'after_widget' => '</div>',		
	) );
}
?>